#
# spec file for package perl-Net-CUPS
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-CUPS
Version:        0.64
Release:        1699.2.pm.24
%define cpan_name Net-CUPS
Summary:        Common Unix Printing System Interface
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-CUPS/
Source0:        https://cpan.metacpan.org/authors/id/N/NI/NINE/%{cpan_name}-%{version}.tar.gz
BuildRequires:  cups-config
BuildRequires:  cups-devel
BuildRequires:  cups-filters-devel
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Net::CUPS is an object oriented interface to the Common Unix Printing
System.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes const-c.inc const-xs.inc examples README TODO

%changelog
